<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionChangeCodeLock Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d94/a03698.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionChangeCodeLock Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../d3/d94/a03698.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionActionChangeCodeLock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d94/a03698.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5d53c4dcf5cb65781852a4da61c09d48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#a5d53c4dcf5cb65781852a4da61c09d48">ExpansionActionChangeCodeLock</a> ()</td></tr>
<tr class="separator:a5d53c4dcf5cb65781852a4da61c09d48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee5ce9c70d2e818a6b4d2f89fb0d3ab4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#aee5ce9c70d2e818a6b4d2f89fb0d3ab4">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:aee5ce9c70d2e818a6b4d2f89fb0d3ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d1cb8416b0c3911516886f975d94f5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#a04d1cb8416b0c3911516886f975d94f5">GetText</a> ()</td></tr>
<tr class="separator:a04d1cb8416b0c3911516886f975d94f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad17b00f1eeda01f6a39cb00bf928a342"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#ad17b00f1eeda01f6a39cb00bf928a342">IsLocal</a> ()</td></tr>
<tr class="separator:ad17b00f1eeda01f6a39cb00bf928a342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a223dbfccdec6e35f797168e7376f4778"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#a223dbfccdec6e35f797168e7376f4778">ActionCondition</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item)</td></tr>
<tr class="separator:a223dbfccdec6e35f797168e7376f4778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262140a392f0915effa288889281ceeb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#a262140a392f0915effa288889281ceeb">Start</a> (ActionData action_data)</td></tr>
<tr class="separator:a262140a392f0915effa288889281ceeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abad4f00ed7bbfb50a4e93a8eabaa026e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#abad4f00ed7bbfb50a4e93a8eabaa026e">m_Target</a></td></tr>
<tr class="memdesc:abad4f00ed7bbfb50a4e93a8eabaa026e"><td class="mdescLeft">&#160;</td><td class="mdescRight">WARNING: If 'IsLocal' is false, refactor this.  <a href="../../d3/d94/a03698.html#abad4f00ed7bbfb50a4e93a8eabaa026e">More...</a><br /></td></tr>
<tr class="separator:abad4f00ed7bbfb50a4e93a8eabaa026e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40da2472cbf5ee7505b06596b7d2c2fc"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d6/ded/a03942.html">TentBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d94/a03698.html#a40da2472cbf5ee7505b06596b7d2c2fc">m_Tent</a></td></tr>
<tr class="separator:a40da2472cbf5ee7505b06596b7d2c2fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../d1/da8/a00230.html">ExpansionActionChangeCodeLock.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00016">16</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5d53c4dcf5cb65781852a4da61c09d48" name="a5d53c4dcf5cb65781852a4da61c09d48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d53c4dcf5cb65781852a4da61c09d48">&#9670;&#160;</a></span>ExpansionActionChangeCodeLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionChangeCodeLock::ExpansionActionChangeCodeLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00025">25</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a223dbfccdec6e35f797168e7376f4778" name="a223dbfccdec6e35f797168e7376f4778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a223dbfccdec6e35f797168e7376f4778">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionChangeCodeLock::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >If CodelockActionsAnywhere is OFF, then "Change code" will only be possible from the tent entrance</p>

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00060">60</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<a id="aee5ce9c70d2e818a6b4d2f89fb0d3ab4" name="aee5ce9c70d2e818a6b4d2f89fb0d3ab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee5ce9c70d2e818a6b4d2f89fb0d3ab4">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionChangeCodeLock::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00035">35</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<a id="a04d1cb8416b0c3911516886f975d94f5" name="a04d1cb8416b0c3911516886f975d94f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d1cb8416b0c3911516886f975d94f5">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionChangeCodeLock::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00044">44</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<a id="ad17b00f1eeda01f6a39cb00bf928a342" name="ad17b00f1eeda01f6a39cb00bf928a342"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad17b00f1eeda01f6a39cb00bf928a342">&#9670;&#160;</a></span>IsLocal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionChangeCodeLock::IsLocal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00052">52</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<a id="a262140a392f0915effa288889281ceeb" name="a262140a392f0915effa288889281ceeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a262140a392f0915effa288889281ceeb">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionChangeCodeLock::Start </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00119">119</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abad4f00ed7bbfb50a4e93a8eabaa026e" name="abad4f00ed7bbfb50a4e93a8eabaa026e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad4f00ed7bbfb50a4e93a8eabaa026e">&#9670;&#160;</a></span>m_Target</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> ExpansionActionChangeCodeLock::m_Target</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>WARNING: If 'IsLocal' is false, refactor this. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00019">19</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<a id="a40da2472cbf5ee7505b06596b7d2c2fc" name="a40da2472cbf5ee7505b06596b7d2c2fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40da2472cbf5ee7505b06596b7d2c2fc">&#9670;&#160;</a></span>m_Tent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d6/ded/a03942.html">TentBase</a> ExpansionActionChangeCodeLock::m_Tent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da8/a00230_source.html#l00020">20</a> of file <a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/interact/<a class="el" href="../../d1/da8/a00230_source.html">expansionactionchangecodelock.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d94/a03698.html">ExpansionActionChangeCodeLock</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
